# .login - csh generic startup file
#
# Do the absoluete minimum to set $ETOP with envy.pl and
# then proceed to $ETOP/.../login.part2, etc.

setenv EDITOR vi
setenv LD_LIBRARY_PATH /usr/lib
setenv MANPATH /usr/man
setenv PATH /usr/bin:/usr/sbin:/usr/ucb


if (! $?HOME) then
    echo "PANIC: HOME is not set"; exit
endif

if (-s $HOME/.custom/startup.name) then
    set startup = `cat $HOME/.custom/startup.name`
endif
if (-s $HOME/.custom/startup) then
    set startup = `cat $HOME/.custom/startup`
endif
if (! $#startup) set startup = "test"

set ENVY_CONTEXT=STARTUP
set ENVY=/usr/bin/envy.pl
test -x $ENVY || echo Envy not found at $ENVY: PANIC

$ENVY -csh $startup > /tmp/mod.$$
source /tmp/mod.$$
if ($?debug) cat /tmp/mod.$$
/bin/rm /tmp/mod.$$

if (! $?ETOP) then
  setenv ETOP /usr
  echo "Environment variable ETOP not set in '$startup'"
  echo "Defaulting to $ETOP..."
endif

alias safe_symlink 'test -f \!:2 && test \! -h \!:2 && mv \!:2 \!:2.bak.$$; /bin/rm -f \!:2 ; ln -s \!:1 \!:2'

safe_symlink $ETOP/etc/login/dot.cshrc $HOME/.cshrc
safe_symlink $ETOP/etc/login/dot.shrc $HOME/.shrc
safe_symlink $ETOP/etc/login/dot.shrc $HOME/.zshrc
safe_symlink $ETOP/etc/login/dot.shrc $HOME/.bashrc
safe_symlink $ETOP/etc/login/dot.dtprofile $HOME/.dtprofile
safe_symlink $ETOP/etc/login/dot.login $HOME/.login
safe_symlink $ETOP/etc/login/dot.profile $HOME/.profile
safe_symlink $ETOP/etc/login/dot.profile $HOME/.zprofile
safe_symlink $ETOP/etc/login/dot.profile $HOME/.bash_profile


test -d $HOME/.custom || mkdir $HOME/.custom

alias maybe_touch_file 'test -f \!:1 || touch \!:1'
maybe_touch_file $HOME/.custom/startup
maybe_touch_file $HOME/.custom/login
maybe_touch_file $HOME/.custom/cshrc

source $ETOP/etc/login/login.part2

# set_defaults.PL login.IN -> etc/login/dot.login
