# .[bash_][z]profile -  ksh/zsh/bash/sh generic startup file
#
# Do the absolute minimum to set $ETOP with envy.pl and
# then proceed to $ETOP/../profile, etc.
#
# test with bash: env -i HOME=$HOME $SHELL --login
# test with ksh : ?
#
# set -x

EDITOR=vi; export EDITOR
LD_LIBRARY_PATH=/usr/lib; export LD_LIBRARY_PATH
MANPATH=/usr/man; export MANPATH
PATH=/usr/bin:/usr/sbin:/usr/ucb; export PATH


if [ x$HOME = x ]; then echo "PANIC: HOME is not set"; exit; fi

if [ -s $HOME/.custom/startup.name ]; then
  startup=`cat $HOME/.custom/startup.name`
fi
if [ -s $HOME/.custom/startup ]; then
  startup=`cat $HOME/.custom/startup`
fi
if [ x$startup = x ]; then startup=test; fi

ENVY_CONTEXT=STARTUP
ENVY=/usr/bin/envy.pl
test -x $ENVY || echo Envy not found at $ENVY: PANIC

$ENVY $startup > /tmp/mod.$$
. /tmp/mod.$$
rm /tmp/mod.$$

if [ x$ETOP = x ]; then
  ETOP=/usr; export ETOP
  echo "Environment variable ETOP not set in startup module $startup"
  echo "Defaulting to $ETOP..."
fi

safe_symlink() {
  if [ -f $2 -a '!' -h $2 ]; then mv $2 $2.bak.$$; fi
  rm -f $2
  ln -s $1 $2
}

safe_symlink $ETOP/etc/login/dot.cshrc $HOME/.cshrc
safe_symlink $ETOP/etc/login/dot.shrc $HOME/.shrc
safe_symlink $ETOP/etc/login/dot.shrc $HOME/.zshrc
safe_symlink $ETOP/etc/login/dot.shrc $HOME/.bashrc
safe_symlink $ETOP/etc/login/dot.dtprofile $HOME/.dtprofile
safe_symlink $ETOP/etc/login/dot.login $HOME/.login
safe_symlink $ETOP/etc/login/dot.profile $HOME/.profile
safe_symlink $ETOP/etc/login/dot.profile $HOME/.zprofile
safe_symlink $ETOP/etc/login/dot.profile $HOME/.bash_profile


if [ '!' -d $HOME/.custom ]; then mkdir .custom; fi;
maybe_touch_file() {
  if [ '!' -f $1 ]; then touch $1; fi
}
maybe_touch_file $HOME/.custom/startup
maybe_touch_file $HOME/.custom/profile
maybe_touch_file $HOME/.custom/shrc

. $ETOP/etc/login/profile.part2

# set_defaults.PL profile.IN -> etc/login/dot.profile
